Workflow
Duplicate a workflow
POST
/
workflows
/
duplicate
Duplicate a workflow
curl --request POST \
--url https://api.reelevant.com/v2/workflows/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceId": "<string>"
}
'import requests
url = "https://api.reelevant.com/v2/workflows/duplicate"
payload = { "sourceId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sourceId: '<string>'})
};
fetch('https://api.reelevant.com/v2/workflows/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": {
"_id": "<string>",
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hierarchy": [
"<string>"
],
"archivedAt": "2023-11-07T05:31:56Z",
"hidden": true,
"integrations": [
{
"type": "web",
"id": "<string>",
"workflowId": "<string>",
"shortId": "<string>",
"domain": "<string>",
"enabled": true,
"includeContext": true,
"includeDatalayerPath": [
"<string>"
],
"waitForEvents": [
"<string>"
],
"filters": {
"type": "and",
"conditions": [
{
"operator": "empty",
"field": "<string>",
"values": [
"<string>"
]
}
]
},
"code": "<string>",
"selector": "<string>",
"emplacement": "replace"
}
],
"companyId": "<string>",
"resourceGroupIds": [
"<string>"
],
"versions": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"definition": {
"nodes": {},
"entrypoints": {},
"edges": {}
},
"analyze": {
"entrypointsByBranches": [
{
"branch": "<string>",
"entrypointIds": [
"<string>"
]
}
],
"branches": [
"<string>"
],
"individualizedBranches": [
"<string>"
],
"branchesScore": {},
"defaultBranches": [
"<string>"
],
"usedDatasourceFields": {},
"branchesInfos": {},
"entrypointsPerDataNodeId": {},
"entrypointsPerPathId": {},
"entrypointTypes": [
"<string>"
],
"entrypointFormats": [
"<string>"
],
"categoryIdByBranch": {},
"branchTags": [
{
"tagKeyId": "<string>",
"tagValueId": "<string>",
"branchId": "<string>"
}
],
"outputsForEntrypoint": {},
"datasForEntrypoint": {}
},
"metadata": {},
"analyzeOverrides": {
"vertexIndividualizedScore": {},
"customVertexNames": [
{
"vertexId": "<string>",
"name": "<string>"
}
],
"branchCategoryIds": {},
"branchTags": [
{
"tagKeyId": "<string>",
"tagValueId": "<string>",
"branchId": "<string>"
}
]
},
"lastSavedBy": "<string>",
"changeDescription": "<string>",
"complexityScore": 123
}
],
"description": "<string>",
"variableProfileId": "<string>"
},
"code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Workflow id to duplicate
Pattern:
^[0-9a-fA-F]{24}$Was this page helpful?
⌘I
Duplicate a workflow
